Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh.ftp.client.impl
Class PostTransferParamsImpl

    java.lang.Object
      com.stc.connector.ssh.ftp.client.impl.PostTransferParamsImpl

All Implemented Interfaces:
  PostTransferParams, com.stc.connector.TransferParams

    public class PostTransferParamsImpl

extends java.lang.Object
implements PostTransferParams

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`PostTransferParamsImpl(SFTPConfiguration config)`

Method Summary
`java.lang.String` | `getLocalCommand()` return the operation name that will be performed on the local end before the file transfer.
`java.lang.String` | `getLocalDirName()` return the local directory name `LocalDirName`;
`boolean` | `getLocalDirNameIsPattern()` return a boolean indicating if `LocalDirName` is a batch name pattern or not.
`java.lang.String` | `getLocalFileName()` return the value for `LocalFileName`;
`boolean` | `getLocalFileNameIsPattern()` return a boolean value indicating if the `LocalFileName` is a batch name pattern or not;
`java.lang.String` | `getRemoteCommand()` return the operation name that will be performed on the remote end before the file transfer.
`java.lang.String` | `getRemoteDirName()` return the remote directory name `RemoteDirName`;
`boolean` | `getRemoteDirNameIsPattern()` return a boolean indicating if the `RemoteDirName` is a batch name pattern or not.
`java.lang.String` | `getRemoteFileName()` return the value for `RemoteFileName`;
`boolean` | `getRemoteFileNameIsPattern()` return a boolean value indicating if the `RemoteFileName` is a batch name pattern or not;
`void` | `setLocalCommand(java.lang.String cmd)` set the local end command to `cmd`;
`void` | `setLocalDirName(java.lang.String dir)` set remote directory name.
`void` | `setLocalDirNameIsPattern(boolean b)` set the boolean flag indicating if the `LocalDirName` is a batch name pattern;
`void` | `setLocalFileName(java.lang.String file)` set the name (could be a name pattern) of the local file name as Post Transfer operation parameter.
`void` | `setLocalFileNameIsPattern(boolean b)` set the flag indicating if `LocalFileName` is a name pattern;
`void` | `setRemoteCommand(java.lang.String cmd)` set the remote command to `cmd`;
`void` | `setRemoteDirName(java.lang.String dir)` set remote directory name `RemoteDirName`.
`void` | `setRemoteDirNameIsPattern(boolean b)` set the boolean flag indicating if the `RemoteDirName` is a batch name pattern;
`void` | `setRemoteFileName(java.lang.String file)` set the name (could be a name pattern) of the remote file name `RemoteFileName` as Post Transfer operation parameter.
`void` | `setRemoteFileNameIsPattern(boolean b)` set the flag indicating if `RemoteFileName` is a name pattern;

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostTransferParamsImpl

    public PostTransferParamsImpl(SFTPConfiguration config)

Method Detail

### getRemoteCommand

    public java.lang.String getRemoteCommand()

  Description copied from interface: `PostTransferParams`
  return the operation name that will be performed on the remote end before the file transfer.

  Specified by:
    `getRemoteCommand` in interface `PostTransferParams`
  Specified by:
    `getRemoteCommand` in interface `com.stc.connector.TransferParams`
  Returns:
    - the command: "None", "Rename", "Delete", if the instance is for Post Transfer;

### getRemoteDirName

    public java.lang.String getRemoteDirName()

  Description copied from interface: `PostTransferParams`
  return the remote directory name `RemoteDirName`;

  Specified by:
    `getRemoteDirName` in interface `PostTransferParams`
  Specified by:
    `getRemoteDirName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured remote directory name `RemoteDirName` (could be a batch name pattern which has to be expanded into a real remote directory name);

### getRemoteDirNameIsPattern

    public boolean getRemoteDirNameIsPattern()

  Description copied from interface: `PostTransferParams`
  return a boolean indicating if the `RemoteDirName` is a batch name pattern or not.

  Specified by:
    `getRemoteDirNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `getRemoteDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `RemoteDirName` is a batch name pattern, false - the value for the `RemoteDirName` is taken as a literal;

### getRemoteFileName

    public java.lang.String getRemoteFileName()

  Description copied from interface: `PostTransferParams`
  return the value for `RemoteFileName`;

  Specified by:
    `getRemoteFileName` in interface `PostTransferParams`
  Specified by:
    `getRemoteFileName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured remote file name `RemoteFileName` (could be a batch name pattern which has to be expanded into a real remote file name);

### getRemoteFileNameIsPattern

    public boolean getRemoteFileNameIsPattern()

  Description copied from interface: `PostTransferParams`
  return a boolean value indicating if the `RemoteFileName` is a batch name pattern or not;

  Specified by:
    `getRemoteFileNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `getRemoteFileNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `RemoteFileName` is a batch name pattern, false - the value for the `RemoteFileName` is taken as a literal;

### setRemoteCommand

    public void setRemoteCommand(java.lang.String cmd)

  Description copied from interface: `PostTransferParams`
  set the remote command to `cmd`;

  Specified by:
    `setRemoteCommand` in interface `PostTransferParams`
  Specified by:
    `setRemoteCommand` in interface `com.stc.connector.TransferParams`
  Parameters:
    `cmd` - - "None", "Rename", "Delete", the Post transfer command;

### setRemoteDirName

    public void setRemoteDirName(java.lang.String dir)

  Description copied from interface: `PostTransferParams`
  set remote directory name `RemoteDirName`.

  Specified by:
    `setRemoteDirName` in interface `PostTransferParams`
  Specified by:
    `setRemoteDirName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `dir` - - the remote directory name `RemoteDirName` could be a name pattern

### setRemoteDirNameIsPattern

    public void setRemoteDirNameIsPattern(boolean b)

  Description copied from interface: `PostTransferParams`
  set the boolean flag indicating if the `RemoteDirName` is a batch name pattern;

  Specified by:
    `setRemoteDirNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `setRemoteDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Parameters:
    `b` - - true - the `RemoteDirName` is a name pattern, false - not a pattern;

### setRemoteFileName

    public void setRemoteFileName(java.lang.String file)

  Description copied from interface: `PostTransferParams`
  set the name (could be a name pattern) of the remote file name `RemoteFileName` as Post Transfer operation parameter.

  Specified by:
    `setRemoteFileName` in interface `PostTransferParams`
  Specified by:
    `setRemoteFileName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `file` - - the file name;

### setRemoteFileNameIsPattern

    public void setRemoteFileNameIsPattern(boolean b)

  Description copied from interface: `PostTransferParams`
  set the flag indicating if `RemoteFileName` is a name pattern;

  Specified by:
    `setRemoteFileNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `setRemoteFileNameIsPattern` in interface `com.stc.connector.TransferParams`

### getLocalCommand

    public java.lang.String getLocalCommand()

  Description copied from interface: `PostTransferParams`
  return the operation name that will be performed on the local end before the file transfer.

  Specified by:
    `getLocalCommand` in interface `PostTransferParams`
  Specified by:
    `getLocalCommand` in interface `com.stc.connector.TransferParams`
  Returns:
    - the command: "None", "Rename", "Delete", if the instance is for Post Transfer;

### getLocalDirName

    public java.lang.String getLocalDirName()

  Description copied from interface: `PostTransferParams`
  return the local directory name `LocalDirName`;

  Specified by:
    `getLocalDirName` in interface `PostTransferParams`
  Specified by:
    `getLocalDirName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured local directory name (could be a batch name pattern which has to be expanded into a real local directory name);

### getLocalDirNameIsPattern

    public boolean getLocalDirNameIsPattern()

  Description copied from interface: `PostTransferParams`
  return a boolean indicating if `LocalDirName` is a batch name pattern or not.

  Specified by:
    `getLocalDirNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `getLocalDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `LocalDirName` is a batch name pattern, false - the value for the `LocalDirName` is taken as a literal;

### getLocalFileName

    public java.lang.String getLocalFileName()

  Description copied from interface: `PostTransferParams`
  return the value for `LocalFileName`;

  Specified by:
    `getLocalFileName` in interface `PostTransferParams`
  Specified by:
    `getLocalFileName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured local file name (could be a batch name pattern which has to be expanded into a real local file name);

### getLocalFileNameIsPattern

    public boolean getLocalFileNameIsPattern()

  Description copied from interface: `PostTransferParams`
  return a boolean value indicating if the `LocalFileName` is a batch name pattern or not;

  Specified by:
    `getLocalFileNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `getLocalFileNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `LocalFileName` is a batch name pattern, false - the value for the `LocalFileName` is taken as a literal;

### setLocalCommand

    public void setLocalCommand(java.lang.String cmd)

  Description copied from interface: `PostTransferParams`
  set the local end command to `cmd`;

  Specified by:
    `setLocalCommand` in interface `PostTransferParams`
  Specified by:
    `setLocalCommand` in interface `com.stc.connector.TransferParams`
  Parameters:
    `cmd` - - "None", "Rename", "Delete", the Post transfer command;

### setLocalDirName

    public void setLocalDirName(java.lang.String dir)

  Description copied from interface: `PostTransferParams`
  set remote directory name.

  Specified by:
    `setLocalDirName` in interface `PostTransferParams`
  Specified by:
    `setLocalDirName` in interface `com.stc.connector.TransferParams`

### setLocalDirNameIsPattern

    public void setLocalDirNameIsPattern(boolean b)

  Description copied from interface: `PostTransferParams`
  set the boolean flag indicating if the `LocalDirName` is a batch name pattern;

  Specified by:
    `setLocalDirNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `setLocalDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Parameters:
    `b` - - true - the `LocalDirName` is a name pattern, false - not a pattern;

### setLocalFileName

    public void setLocalFileName(java.lang.String file)

  Description copied from interface: `PostTransferParams`
  set the name (could be a name pattern) of the local file name as Post Transfer operation parameter.

  Specified by:
    `setLocalFileName` in interface `PostTransferParams`
  Specified by:
    `setLocalFileName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `file` - - the file name;

### setLocalFileNameIsPattern

    public void setLocalFileNameIsPattern(boolean b)

  Description copied from interface: `PostTransferParams`
  set the flag indicating if `LocalFileName` is a name pattern;

  Specified by:
    `setLocalFileNameIsPattern` in interface `PostTransferParams`
  Specified by:
    `setLocalFileNameIsPattern` in interface `com.stc.connector.TransferParams`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD